Skip to main content
POST
/
v1
/
references
Create reference
curl --request POST \
  --url https://api.vidjutsu.ai/v1/references \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "url": "<string>",
  "platform": "<string>",
  "notes": "<string>",
  "tags": [
    {
      "key": "<string>",
      "value": "<string>"
    }
  ],
  "metadata": "<unknown>"
}
'
import requests

url = "https://api.vidjutsu.ai/v1/references"

payload = {
"url": "<string>",
"platform": "<string>",
"notes": "<string>",
"tags": [
{
"key": "<string>",
"value": "<string>"
}
],
"metadata": "<unknown>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: '<string>',
platform: '<string>',
notes: '<string>',
tags: [{key: '<string>', value: '<string>'}],
metadata: '<unknown>'
})
};

fetch('https://api.vidjutsu.ai/v1/references', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "status": "active"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
url
string
required
platform
string
notes
string
tags
object[]
metadata
any

Response

201 - application/json

The request has succeeded and a new resource has been created as a result.

id
string
required
status
enum<string>
required
Available options:
active